{% extends 'base.html.twig' %}

{% block title %}Liste Departement {% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        <a>
            <button class="btn btn-success btn_new_departement" url="{{ path('departement_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouvel département"> Ajouter</span></button>
        </a>

    </td>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des départements </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">

                <thead>
                <tr>

                    <th>Nom du Département en Français</th>
                    <th>Nom du Département en Arabe</th>
                    <th>Action</th>

                </tr>
                </thead>
                <tbody>
                {% for departement in departements %}
                    <tr>

                        <td>{{ departement.libelleDepartementFr }}</td>
                        <td>{{ departement.libelleDepartementAr }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_departement"
                                                url="{{ path('departement_show', {'id': departement.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_departement"
                                                url="{{ path('departement_edit', {'id': departement.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier département"></span>
                                        </button>
                                    </a>
                                </li>

                                <li>  {{ include('departement/_delete_form.html.twig') }}</li>
                            </ul>
                        </td>
                    </tr>

                {% else %}

                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align="center" class="navigation">
                {{ knp_pagination_render(departements) }}
            </div>

            {#fenetre modale D'ajout#}

            <div class="modal fade" id="modalDepartement" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_departement"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>

                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_departement', function (event) {
            $('#modalDepartement').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_departement').html('Ajouter nouvelle departement');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_departement', function (event) {
            $('#modalDepartement').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_departement').html('Modifier departement');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_departement', function (event) {
            $('#modalDepartement').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_departement').html('Info departement');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_departement', function (event) {
            var name_departement = $(this).attr('name_departement');
            var id_departement = $(this).attr('id_departement');
            $('#modalDepartement').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_departement').html('Supprimer departement');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la departement: <b>' + name_departement + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_departement" onclick="confirmer_delete_departement(' + id_departement + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_departement(id_departement) {
            $('#form_delete_departement_' + id_departement).submit();
        }

        $('body').on('click', '.save_departement', function (event) {

            var form = $('#form_add_departement');
            var formData = new FormData(document.getElementById("form_add_departement"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_departement').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalDepartement').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_departement', function (event) {

            var form = $('#form_add_departement');
            var formData = new FormData(document.getElementById("form_add_departement"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_departement').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalDepartement').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_departement(name_departement) {
            $('#modalDepartement').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_departement').html('Supprimer departement');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la departement: ' + name_departement);
            return false;
        }
    </script>

{% endblock %}